Bug 66639

Summary: [EFL] Change parameter type for some APIs in ewk_tile_matrix.
Product: WebKit Reporter: KwangHyuk <hyuki.kim>
Component: WebKit EFLAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: gyuyoung.kim, gyuyoung.kim, leandro, lucas.de.marchi, rakuco, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Patch.
andersca: review+, webkit.review.bot: commit-queue-
Patch rebased. none

Description KwangHyuk 2011-08-21 22:28:11 PDT
As type of both col and row parameter for ewk_tile_matrix's some APIs listed by this patch are different from each other and eina_matrixsparse associated with ewk_tile_matrix is now using unsigned long type for both col and row parameter, row prameter for ewk_tile_matrix is also better to be specified as unsigned long type.
Comment 1 KwangHyuk 2011-08-21 22:36:20 PDT
Created attachment 104641 [details]
Patch.
Comment 2 Raphael Kubo da Costa (:rakuco) 2011-08-22 06:45:53 PDT
LGTM.
Comment 3 Gyuyoung Kim 2011-08-22 18:11:18 PDT
LGTM.
Comment 4 WebKit Review Bot 2011-08-23 18:42:14 PDT
Comment on attachment 104641 [details]
Patch.

Rejecting attachment 104641 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-03', '--port..." exit_code: 2

Last 500 characters of output:
5b44cfac6cec1658810ce5d87394ad9df63dfe88
r93684 = 3800b1e5d15d43ad3912c3950bfbc886da3a9ee2
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.
Updating chromium port dependencies using gclient...

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/9482640
Comment 5 KwangHyuk 2011-08-23 19:24:28 PDT
Created attachment 104958 [details]
Patch rebased.
Comment 6 WebKit Review Bot 2011-08-23 21:37:57 PDT
Comment on attachment 104958 [details]
Patch rebased.

Clearing flags on attachment: 104958

Committed r93693: <http://trac.webkit.org/changeset/93693>
Comment 7 WebKit Review Bot 2011-08-23 21:38:02 PDT
All reviewed patches have been landed.  Closing bug.